<?php

namespace FiloBlu\Popup\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class InstallSchema implements InstallSchemaInterface
{

    /**
     * {@inheritdoc}
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();
        /**
         * Create table 'filoblu_popup'
         */
        if (!$installer->tableExists('filoblu_popup')) {
            $table = $installer->getConnection()->newTable(
                            $installer->getTable('filoblu_popup'))
                            ->addColumn('id',\Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,null,
                                          [
                                            'identity' => true,
                                            'nullable' => false,
                                            'primary'  => true
                                          ],'ID'
                                        )
                            ->addColumn('title',\Magento\Framework\DB\Ddl\Table::TYPE_TEXT,100,
                                          [
                                            'nullable' => true,
                                            'primary'  => false
                                          ],'title'
                                        )
                            ->addColumn('description',\Magento\Framework\DB\Ddl\Table::TYPE_TEXT,255,
                                          [
                                            'nullable' => true,
                                            'priamry'  =>false
                                          ],'description'
                                        )
                            ->addColumn('image',\Magento\Framework\DB\Ddl\Table::TYPE_TEXT,255,
                                          [
                                            'nullable' => true,
                                            'primary' =>false
                                          ],'image'
                                        )

                            ->setComment('FiloBlu_Popup_table');

            $installer->getConnection()->createTable($table);
        }
        $installer->endSetup();
    }
}
