
define(
        [
            'jquery',
            'Magento_Ui/js/modal/modal',
            'mage/cookies',
            'mage/utils/wrapper'

        ],
        function($,modal) {
            "use strict";
            //creating jquery widget
            $.widget('filoblu.filoblu_popup_modal', {
                _create: function () {

                    var self = this,
                        popupId = $(self.element).attr('id'),
                        cookieName = popupId,
                        cookieDuration = self.options.cookie_duration,
                        popupDelay = self.options.popupDelay,
                        options = {
                            type: 'popup',
                            responsive: true,
                            innerScroll: false,
                            closeText: 'Close',
                            buttons:false,
                            wrapperClass: popupId,



                            closed: function () {

                                if (!$.mage.cookies.get(cookieName)) {
                                    var toDay = new Date();
                                    toDay.setTime(toDay.getTime());
                                    var expireDate = new Date(toDay.getTime() + (cookieDuration));
                                    $.mage.cookies.set(cookieName, 'true', {"expires": expireDate});
                                }
                            },

                            /**
                            * Escape key press handler,
                            * close modal window
                            */
                            escapeKey: function () {
                                if (this.options.isOpen && this.modal.find(document.activeElement).length ||
                                    this.options.isOpen && this.modal[0] === document.activeElement) {
                                    this.closeModal();
                                }
                            }
                    };


                    if (!$.mage.cookies.get(cookieName) || ($.mage.cookies.get(cookieName) &&  $.mage.cookies.get(cookieName) !='true')) {
                        setTimeout(function () {
                            var popup = modal(options, '#'+ popupId );
                            $('#'+ popupId).modal('openModal');
                        },popupDelay);
                    }

                }
        });

        return $.filoblu.filoblu_popup_modal;

    });
